<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('admin_dumper_before');

LabCMS::i()->setAdminSkin();

if (!isset($_GET['action'])) $_GET['action']='';

switch(true)
{
	case(access('admin') && $_GET['action']=='backup'):
		User::checkToken();
		include dirname(__FILE__)."/backup.php";
		break;
	case(access('admin') && $_GET['action']=='restore'):
		User::checkToken();
		include dirname(__FILE__)."/restore.php";
		break;
	case(access('admin') && $_GET['action']=='delete'):
		User::checkToken();
		include dirname(__FILE__)."/delete.php";
		break;
	case(access('admin')):
		include dirname(__FILE__)."/dump_list.php";
		break;
	
	default:
		LabCMS::i()->error403();
}

restore_error_handler();

Hook::call('admin_dumper_after');